Bug 555279

Summary: krb5kdc should use portreserve to prevent rpcbind taking its port
Product: [Fedora] Fedora Reporter: Chris Paulson-Ellis <chris>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: nalin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: krb5-1.6.3-25 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-29 16:44:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Chris Paulson-Ellis 2010-01-14 04:40:46 EST
On my system krb5kdc could not start because of rpcbind taking udp port 750 through its use of bindresvport(3).

It should be prevented from doing so using portreserve(1)/portrelease(1) in the same way as has been done for cups (see bug #430825).

No doubt, some other service will suffer the same problem once krb5kdc is protected from the madness of rpc (I disabled all the rpc services as a work around).
Comment 1 Bug Zapper 2010-04-28 07:43:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nalin Dahyabhai 2010-04-29 16:44:27 EDT
This should be fixed in 1.6.3-25 and later (1.6.3-24 started, but got some parts of it wrong).  Please reopen this bug if you find that this is not the case.